Compute Management/Host Related Interfaces/PCI Device Related APIs
PUTPCI Device Related APIsSince 3.5.0SynchronousAuth Required
Update MDEV Device Sliced from PCI Device
Update MDEV Device Sliced from PCI Device
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredUUID of the resource, uniquely identifies the resource
Body Fields
nameStringResource name
descriptionStringResource description
stateStringDevice state
systemTagsListSystem tags
userTagsListUser tags
Responses
Endpoint
PUT/zstack/v1/mdev-devices/{uuid}/actions
/zstack/v1/mdev-devices/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/mdev-devices/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"name":"<name>","description":"<description>","state":"<state>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "90bb72d3dba94fbc99310c9804f9dee7", "name": "GRID M60-2A", "parentUuid": "343e4227833b4774b09d2c0dd24bf8c7", "hostUuid": "fa552bef7681478d84806671d28e70f7", "mdevSpecUuid": "542b87b26baf403cb2745164ce10e550", "type": "GPU_Video_Controller", "state": "Enabled", "status": "Active", "chooser": "None", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }Change History
This API has no change history records yet.
